Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi.shape_new
Class ShapeFileReader

    java.lang.Object
      org.deegree.io.shpapi.shape_new.ShapeFileReader

    public class ShapeFileReader

extends Object

`ShapeFileReader` is a class to read shapefiles.

Version:
  $Revision: 19488 $, $Date: 2009-09-03 15:05:04 +0200 (Do, 03. Sep 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: aschmitz $

Constructor Summary
`ShapeFileReader(String baseName)` Does not read it yet - just initializes the object.
`ShapeFileReader(String baseName, CoordinateSystem defaultCRS)` Does not read it yet - just initializes the object.

Method Summary
`int` | `getShapeCount()`
`int` | `getShapeType()`
`DBaseFile` | `getTables()`
`ShapeFile` | `read()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeFileReader

    public ShapeFileReader(String baseName)

  Does not read it yet - just initializes the object.

  Parameters:
    `baseName` -

### ShapeFileReader

    public ShapeFileReader(String baseName,
                           CoordinateSystem defaultCRS)

  Does not read it yet - just initializes the object.

  Parameters:
    `baseName` -
    `defaultCRS` - CoordinateSystem for the shape file

Method Detail

### read

    public ShapeFile read()
                   throws IOException

  Returns:
    the shape file contents.
  Throws:
    `IOException`

### getTables

    public DBaseFile getTables()
                        throws IOException

  Returns:
    the dbase file
  Throws:
    `IOException`

### getShapeCount

    public int getShapeCount()
                      throws IOException

  Returns:
    the number of shapes stored in this shape file.
  Throws:
    `IOException`

### getShapeType

    public int getShapeType()
                     throws IOException

  Returns:
    the type of the shape file's contents.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org